GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Static Public Member Functions | Static Private Attributes | List of all members
GpgFrontend::UI::SignalStation Class Reference
Inheritance diagram for GpgFrontend::UI::SignalStation:
Collaboration diagram for GpgFrontend::UI::SignalStation:

## Signals
void | SignalKeyDatabaseRefresh ()
void | SignalKeyDatabaseRefreshDone ()
void | SignalRefreshInfoBoard (const QString &text, InfoBoardStatus verify_label_status)
void | SignalRefreshStatusBar (const QString &message, int timeout)
void | SignalUserInputPassphraseDone (QString passparase)
void | SignalNeedUserInputPassphrase ()
void | SignalRestartApplication (int)

## Static Public Member Functions
static SignalStation * | GetInstance ()
| Get the Instance object. More...

## Static Private Attributes
static std::unique_ptr< SignalStation > | _instance = nullptr

## Member Function Documentation

## ◆ GetInstance()

SignalStation * GpgFrontend::UI::SignalStation::GetInstance | ( |  | ) |
| static

Get the Instance object.

Returns
  SignalStation*

Referenced by GpgFrontend::UI::CommonUtils::CommonUtils(), GpgFrontend::UI::GnuPGControllerDialog::GnuPGControllerDialog(), GpgFrontend::UI::InfoBoardWidget::InfoBoardWidget(), GpgFrontend::UI::InitGpgFrontendUI(), GpgFrontend::UI::KeyGenDialog::KeyGenDialog(), GpgFrontend::UI::KeyMgmt::KeyMgmt(), GpgFrontend::UI::KeyNewUIDDialog::KeyNewUIDDialog(), GpgFrontend::UI::KeyPairDetailTab::KeyPairDetailTab(), GpgFrontend::UI::KeyPairSubkeyTab::KeyPairSubkeyTab(), GpgFrontend::UI::KeyPairUIDTab::KeyPairUIDTab(), GpgFrontend::UI::KeyServerImportDialog::KeyServerImportDialog(), GpgFrontend::UI::KeyUIDSignDialog::KeyUIDSignDialog(), and GpgFrontend::UI::SubkeyGenerateDialog::SubkeyGenerateDialog().

## ◆ SignalRefreshInfoBoard

void GpgFrontend::UI::SignalStation::SignalRefreshInfoBoard | ( | const QString & | text,
|  | InfoBoardStatus | verify_label_status
| ) |  |
| signal

Parameters

  text |
  verify_label_status |

Referenced by GpgFrontend::UI::InfoBoardWidget::InfoBoardWidget().

## ◆ SignalRefreshStatusBar

void GpgFrontend::UI::SignalStation::SignalRefreshStatusBar | ( | const QString & | message,
|  | int | timeout
| ) |  |
| signal

Parameters

  message |
  timeout |

Referenced by GpgFrontend::UI::KeyMgmt::KeyMgmt().

The documentation for this class was generated from the following files:

- src/ui/SignalStation.h
- src/ui/SignalStation.cpp